# $Revision: 1.13 $, $Date: 2011/03/01 06:28:53 $
%include	/usr/lib/rpm/macros.php
%define		_class		Net
%define		_subclass	Vpopmaild
%define		_status		beta
%define		_pearname	Net_Vpopmaild
Summary:	%{_pearname} - Class for accessing Vpopmail's vpopmaild daemon
Summary(pl.UTF-8):	%{_pearname} - klasa dostępu do demona vpopmaild
Name:		php-pear-%{_pearname}
Version:	0.3.2
Release:	3
License:	PHP License
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	d8ea0aa72062af4e52af9629d47e039f
URL:		http://pear.php.net/package/Net_Vpopmaild/
BuildRequires:	php-pear-PEAR >= 1:1.4.0-0.b1
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php-pear
Requires:	php-pear-Log
Requires:	php-pear-Net_Socket
Requires:	php-pear-PEAR-core >= 1:1.4.0
Obsoletes:	php-pear-Net_Vpopmaild-tests
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Supports all vpopmaild commands, such as adding/removing domains,
users, robots (autoresponders), and ezmlm lists (todo), as well as
modifying domain limits, IP maps, etc

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Pakiet ten obsługuje wszystkie polecenia vpopmaild, takie jak
dodawanie i usuwanie domen, użytkowników, robotów (autoresponderów),
czy list ezmlm, jak również modyfikowanie limitów, mapowań adresów IP
itd.

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log docs/Net_Vpopmaild/{docs,examples}
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/Net/Vpopmaild
%{php_pear_dir}/Net/Vpopmaild.php

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-Net_Vpopmaild.spec,v $
Revision 1.13  2011/03/01 06:28:53  glen
- release 3

Revision 1.12  2011/01/22 21:41:33  sparky
- dropped -tests

Revision 1.11  2010/08/22 08:51:19  glen
- ensure rpmbuild macros present

Revision 1.10  2010/08/21 19:08:16  glen
- updated deps with pearize.sh
- release 2

Revision 1.9  2008/10/11 09:03:29  adamg
- updated to 0.3.2

Revision 1.8  2008-05-24 08:41:48  adamg
- release 2 (updated PEAR deps)

Revision 1.7  2008-05-23 22:00:14  glen
- we have different versioning for betas, just take full version

Revision 1.6  2008-05-23 19:59:03  adamg
- PEAR epoch

Revision 1.5  2008-05-23 19:55:10  adamg
- PEAR-core is enough

Revision 1.4  2008-05-03 08:44:26  adamg
- updated to 0.3.1

Revision 1.3  2008-04-01 21:31:43  qboosh
- pl fixes

Revision 1.2  2008-01-31 12:16:09  glen
- rel 2

Revision 1.1  2007-12-06 10:15:21  adamg
- new
